<template>
  <v-layout fill-height class="writing-desktop" justify-space-between>
    <v-flex class="writing-desktop__activity-area">
      <v-card class="pa-3">
        <writing-instructions :description="activity.description" :questions="activity.question"/>
        <writing-answer :disabled="concluded" :text="text" @input="setAnswer" :activity="activity"/>
      </v-card>
    </v-flex>
    <v-flex class="writing-desktop__feedback">
      <writing-feedback :feedback="feedback"/>
    </v-flex>
  </v-layout>
</template>

<script>
import DefaultComponent from '../Mixin/DefaultComponent';

export default {
  mixins: [DefaultComponent],
};
</script>

<style lang="sass">
@import ~@/styles/components/transitions
@import ~@/styles/defaults/mobileFirst
.writing-desktop
  width: 100%
  align-items: stretch
  &__activity-area
    margin-right: 10px
  &__feedback
    height: auto
    margin-left: 10px
  &__activity-area,
  &__feedback
    width: 45%!important


</style>
